> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Force retry issuance of Let's Encrypt certificate

> Force retry issuance of Let's Encrypt certificate if the previous attempt was failed.



## OpenAPI

````yaml /api-reference/services_documented/cdn_api.yaml post /cdn/sslData/{cert_id}/force-retry
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN service
    description: Information about the current state of the CDN service in your account.
    x-displayName: CDN service
  - name: CDN resources
    x-displayName: CDN resources
  - name: Origins
    x-displayName: Origins
  - name: Rules
    description: >-
      Rules allow to set up custom settings for certain file types or paths.

      By default, the rule inherits all options values from the related CDN
      resource.


      Each option in rule settings can be in one of the following states:

      - **Inherit** - Option is not added to the rule. Option inherits its value
      from the CDN resource settings. In this case, the option value is
      **null**.

      - **ON** - Option is added to the rule and enabled. Option values
      configured in the rule will override values from the CDN resource
      settings.

      - **OFF** - Option is added to the rule and disabled. Option will be
      turned off.
    x-displayName: Rules
  - name: Rule templates
    x-displayName: Rule templates
  - name: SSL certificates
    x-displayName: SSL certificates
  - name: Let's Encrypt certificates
    x-displayName: Let's Encrypt certificates
  - name: CA certificates
    x-displayName: CA certificates
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
    x-displayName: CDN activity logs
  - name: Log viewer
    description: >-
      Log viewer provides you with general information about CDN operation. This
      information does not contain all possible

      sets of fields and restricted by time. To receive full data, use Logs
      Uploader.
    x-displayName: Log viewer
  - name: Logs uploader
    description: >-
      Logs uploader allows you to upload logs with desired format to desired
      storages.


      Consists of three main parts:

      - **Policies** - rules that define which logs are uploaded and how they
      are uploaded.

      - **Targets** - destinations where logs are uploaded.

      - **Configs** - combinations of logs uploader policies, targets and
      resources to which they are applied.
    x-displayName: Logs uploader
  - name: Tools
    x-displayName: Tools
  - name: CDN Statistics
    description: >-
      Consumption statistics is updated in near real-time as a standard
      practice.

      However, the frequency of updates can vary, but they are typically
      available within a 24-hour period.

      Exceptions, such as maintenance periods, may delay data beyond 24 hours
      until servers resume and fill in the missing statistics.
    x-displayName: Statistics
  - name: Advanced analytics
    description: >-
      Advanced analytics allows to get statistics about unique visitors,
      traffic, and requests for countries, directories, browsers, devices, and
      operation systems for up to 90 days starting from today.


      Advanced analytics API is based on the [GraphQL
      framework](https://graphql.org/).


      Advanced analytics API has one single endpoint:

       https://api.gcore.com/cdn/advanced/v2/query

      You can pass the query parameters as a JSON object in the payload of a
      POST request to this endpoint.

      You can use curl to make requests to the Advanced analytics API.
      Alternatively, you can use a GraphQL client

      to construct queries and pass requests to the Advanced analytics API.


      You can write queries in GraphQL much like in SQL: specify the data set
      (CDN resource), the metrics

      to retrieve (such as unique visitors and traffic), and filter or group by
      dimensions (for example, a country).
    x-displayName: Advanced analytics
  - name: Origin shielding
    x-displayName: Origin shielding
  - name: IP addresses list
    x-displayName: IP addresses list
  - name: Purge history
    x-displayName: Purge history
paths:
  /cdn/sslData/{cert_id}/force-retry:
    post:
      tags:
        - Let's Encrypt certificates
      summary: Force retry issuance of Let's Encrypt certificate
      description: >-
        Force retry issuance of Let's Encrypt certificate if the previous
        attempt was failed.
      operationId: force-retry-issuance-of-lets-encrypt-certificate
      parameters:
        - in: path
          name: cert_id
          description: Let's Encrypt certificate ID.
          required: true
          schema:
            type: integer
      responses:
        '201':
          description: Successful. Issuing process has been started.
        '400':
          description: Failed to start issuance process.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: >-
                      #/components/schemas/LECertificateIsNotAttachedToResourceError
                  - $ref: '#/components/schemas/NotLECertificateForceRetryError'
                  - $ref: >-
                      #/components/schemas/LECertificateIssuingInProgressForceRetryError
                  - $ref: >-
                      #/components/schemas/NotActiveLECertificateIssueRequestForceRetryError
        '429':
          description: >-
            You have exceeded number of allowed force retry requests for your
            certificate.
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            client.cdn.certificates.force_retry(
                0,
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.CDN.Certificates.ForceRetry(context.TODO(), 0)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
components:
  schemas:
    LECertificateIsNotAttachedToResourceError:
      title: Let's Encrypt certificate is not attached to resource
      type: object
      properties:
        errors:
          type: object
          properties:
            certificate:
              type: array
              items:
                type: string
              description: >-
                The specified certificate is not attached to any resource.
                Please check the certificate ID.
              example:
                - Certificate is not attached to a resource.
    NotLECertificateForceRetryError:
      title: Not Let's Encrypt certificate selected
      type: object
      properties:
        errors:
          type: object
          properties:
            certificate:
              type: array
              items:
                type: string
              description: >-
                The specified certificate is not Let's Encrypt certificate.
                Please check the certificate ID.
              example:
                - Force retry is not allowed for non-Let's Encrypt certificates.
    LECertificateIssuingInProgressForceRetryError:
      title: Let's Encrypt certificate issuance is in progress
      type: object
      properties:
        errors:
          type: object
          properties:
            certificate:
              type: array
              items:
                type: string
              description: >-
                You cannot force retry Let's Encrypt issuing process until the
                current issuing attempt is in progress.

                Please wait until the attempt is completed.
              example:
                - >-
                  You cannot force retry Let's Encrypt issuing process until the
                  current issuing attempt is in progress. Please wait until the
                  attempt is completed.
    NotActiveLECertificateIssueRequestForceRetryError:
      title: Let's Encrypt certificate issuance is completed
      type: object
      properties:
        errors:
          type: object
          properties:
            certificate:
              type: array
              items:
                type: string
              description: The certificate issuance process has already been completed.
              example:
                - The certificate issuance process has already been completed.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````